you need to configure obsidian to use this folder as your template folder by clicky the gear thing in the bottom left and see "templates" listed under core plugins at the bottom.

when creating a file that has a template, create the file + open it, then click the "insert template" button on the side way over there-- 
<----
--then choose whatever template you want to autofill. happy obsidianing!
...obsiding??
obsideizing....
whatever...